This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 124460 - remove kudzu from /etc/fstab to enable thet floppy
remove kudzu from /etc/fstab to enable thet floppy
Status: CLOSED DEFERRED
Product: Fedora Legacy
Classification: Retired
Component: kernel (Show other bugs)
fc2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Fedora Legacy Bugs
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 15:28 EDT by Dwaine Castle
Modified: 2007-04-18 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 13:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dwaine Castle 2004-05-26 15:28:20 EDT
Description of problem:
Fedore Core 2 would not mount the floppy drive.

I replaced both the floppy drive and cable and reinstalled FC2.  I 
could boot both DOS and Linux floppies created on another machine, so 
I ruled-out the hardware.  The floppy drive worked on this machine 
with a copy of RH9 installed.


Version-Release number of selected component (if applicable):


How reproducible:
The floppy consistantly fails.

Steps to Reproduce:
1. boot
2. try to mount the floppy
3.
  
Actual results:
error message - "invalid block device"

Expected results:


Additional info:

I posted this question to fedora-list@redhat.com.

FC2 installed well and everything seemed to work -- I thought.

I noticed that my floppy drive doesn't work. I'replaced the drive and 
cable with new parts then reinstalled FC2. The BIOS will boot a DOS 
floppy, and a RH9 boot floppy created from on an XP machine. Attempts 
to mount the floppy manually yield "invalid block device".

I am working my way through Michael Jang's RHCE ver8 study guide. but 
it doesn't offer much help with this. I had RH9 on this machine and 
the riginal drive worked fine.

Any suggestions?

I think that having 3 devices share IRQ 10 seems funny, but one thing 
at a time.

Thank you.
Dwaine


Suprmicro P4STA /1.7Ghz
768 MB memory
80GB WD-JB HD
HP9900i CD
SoundBlaster16 audio


Alexander Apprich replied to my post on the fedora-list@redhat.com:
What does your /etc/fstab look like? Is there an entry like

/dev/fd0 /mnt/floppy auto noauto,owner 0 0

If there is no such entry, could you add this entry and try it again?
I remember having this problem with RH8. If you have this entry and it
contains kudzu, delete the kudzu from it . If kudzu is having problems
with the floppy it will update your /etc/fstab an boot time.

When I removed the kudzu entry of /etc/fstab the floppy started 
working.


The component that I think is a fault here is kudzu, but this form 
will not accept that entry.
Comment 1 Bill Nottingham 2004-05-26 15:45:49 EDT
What does your /etc/fstab normally look like without changes?

What is the full set of errors you get, including kernel messages?
Comment 2 Dwaine Castle 2004-05-26 16:48:41 EDT
The original fstab entry was:
/dev/fd0 /mnt/floppy auto noauto,owner,kudzu 0 0

Full set of errors?  When I tried to create a boot disk, got a 
message to that the device was not working.  I then tried to mount 
the floppy manually and received an "invalid block device" error 
message.  That is all.

I look at /proc/interrupts, ioports, & dma and received the following:


           CPU0
  0:     619774          XT-PIC  timer
  1:        456          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  8:          1          XT-PIC  rtc
  9:          0          XT-PIC  acpi
 10:      49610          XT-PIC  eth0, radeon@PCI:1:0:0, Ensoniq
AudioPCI
 11:          0          XT-PIC  uhci_hcd, uhci_hcd
 12:       7441          XT-PIC  i8042
 14:      17552          XT-PIC  ide0
 15:       5746          XT-PIC  ide1
NMI:          0
ERR:          0

0000-001f : dma1
0020-0021 : pic1
0040-005f : timer
0060-006f : keyboard
0070-0077 : rtc
0080-008f : dma page reg
00a0-00a1 : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
02f8-02ff : serial
0376-0376 : ide1
0378-037a : parport0
037b-037f : parport0
03c0-03df : vga+
03f6-03f6 : ide0
03f8-03ff : serial
0cf8-0cff : PCI conf1
5000-500f : 0000:00:1f.3
9000-9fff : PCI Bus #01
  9000-90ff : 0000:01:00.0
a000-a03f : 0000:02:01.0
  a000-a03f : Ensoniq AudioPCI
a400-a4ff : 0000:02:04.0
  a400-a4ff : tulip
b000-b01f : 0000:00:1f.2
  b000-b01f : uhci_hcd
b400-b41f : 0000:00:1f.4
  b400-b41f : uhci_hcd
f000-f00f : 0000:00:1f.1
  f000-f007 : ide0
  f008-f00f : ide1
 4: cascade

Block devices:
  1 ramdisk
  2 fd
  3 ide0
  7 loop
  9 md
 22 ide1
253 device-mapper
254 mdp

Once I determined that the hardware was good, I looked through 
Michael Jang's RHCE book and could not find anything interesting, so 
I posted a question to the fedora-list.

I've found these message line in /var/logs/messages:
inserting drive fd0 is 1.44M
fdc 0 is a post - 1991 82077
end_request: I/O error, dev fd0 sector 0


I will be glad to send you any data that you want but you will have 
to specify what you are interested in.  I am new to Linux so 
appologize for not being more helpful.

Thank you.
Dwaine Castle




Comment 3 Bill Nottingham 2004-05-26 17:04:37 EDT
Hm, that error implies a bad floppy.

The 'kudzu' mount option is completely ignored by mount, so it
shouldn't make a difference.
Comment 4 Dwaine Castle 2004-05-26 18:20:44 EDT
Linux I'm new at computers I'm not.  I built my first one in 1963.  I 
know this is not a floppy problem, because I tried many disks on 4 
different machines.  I tested the media by creating both DOS and 
Linux boot disks which worked.  If the BIOS can boot from the floppy 
how can we blame the disks?  Then I bought a new floppy disk drive & 
cable; reinstalled FC2; and the problem persisted.  Finally, I looked 
at the OS.  When I removed the kudzu term the drive appeared almost 
instantly on my desktop.  I did not have to reboot or even issue a 
mount command.  And, I could see the files on my floppy.  

I am concerned that you believe the kudzu term could not have caused 
the problem.  I did have error messages in one of my logs and maybe 
more if I keep searching.  So, I am still in research mode.  Can you 
give me a test plan?  The FC machine is pure test and education for 
me.


I did not track this problem down Alexander Apprich did see vol 3 
Issue 429 message 9 on the fedora-list digest, he would be a better 
person to talk to.  I have a brand new install, and I will be glad to 
send you what ever information you want.

Thanks.
Dwaine Castle

Message: 9
Date: Wed, 26 May 2004 09:43:58 +0200
From: Alexander Apprich <a.apprich@science-computing.de>
Subject: Re: missing floppy
To: For users of Fedora Core releases <fedora-list@redhat.com>
Message-ID: <40B44ABE.3040509@science-computing.de>
Content-Type: text/plain; charset=us-ascii; format=flowed

Dwaine,

Dwaine Castle wrote:
> FC2 installed well and everything seemed to work -- I thought.
> 
> I noticed that my floppy drive doesn't work.  I'replaced the drive 
and cable
> with new parts then reinstalled FC2.  The BIOS will boot a DOS 
floppy, and a
> RH9 boot floppy created from on an XP machine.  Attempts to mount 
the floppy
> manually yield "invalid block device".
> 
> I am working my way through Michael Jang's RHCE ver8 study guide. 
but it
> doesn't offer much help with this.  I had RH9 on this machine and 
the
> original drive worked fine.
> 
> Any suggestions?
> 

What does your /etc/fstab look like? Is there an entry like

     /dev/fd0        /mnt/floppy          auto    noauto,owner 0 0

If there is no such entry, could you add this entry and try it again?
I remember having this problem with RH8. If you have this entry and it
contains kudzu, delete the kudzu from it . If kudzu is having problems
with the floppy it will update your /etc/fstab an boot time.

> I think that having 3 devices share IRQ 10 seems funny, but one 
thing at a
> time.

Sharing AFAIK that's normal for some devices.

> 
> Thank you.
> Dwaine
> 

You're welcome :-)

Alex



Comment 5 Bill Nottingham 2004-05-26 18:30:08 EDT
Just clarifying, given:

/dev/fd0 /mnt/floppy auto noauto,owner,kudzu 0 0

does not work, and simply changing it to:

/dev/fd0 /mnt/floppy auto noauto,owner 0 0

makes it work, for both making a boot disk, and mounting a floppy?

What are you using to make a boot disk?
Comment 6 Dwaine Castle 2004-05-26 19:08:28 EDT
Yes, removing kudzu allowed me to mount and use the drive.

Just now made the boot disk.
mkbootdisk --device /dev/fd0 `uname -r`

 Volume in drive A has no label.
 Volume Serial Number is 40B5-214C

 Directory of A:\

05/26/2004  06:59 PM             8,104 ldlinux.sys
05/08/2004  09:21 AM         1,199,031 vmlinuz
05/24/2004  08:39 PM           190,734 initrd.img
05/26/2004  06:59 PM               135 syslinux.cfg
05/26/2004  06:59 PM               203 boot.msg
               5 File(s)      1,398,207 bytes
               0 Dir(s)          65,024 bytes free
Comment 7 Bill Nottingham 2004-05-26 21:29:27 EDT
And the same mkbootdisk line fails if kudzu is in the fstab? 
FWIW, mkbootdisk doesn't even *look* at the /dev/fd0 line.
Comment 8 Dwaine Castle 2004-05-26 23:27:39 EDT
I added kudzu back to the fstab file: rebooted: and I can mount and 
read the floopy.

I don't know what to think.  However, I was able to boot both DOS & 
Linux floppies with 2 different floppy drives.  So, my motherboard 
BIOS could read the floppies, but FC2 refused.  Then Alex tells me 
that he had solved the same problem in RH8 by removing a term from 
fstab.  I removed the term and get immediate connectivity.  Some 
process was trying to mount the floppy before I edited fstab probably 
from a previous mount attempt.  As soon as I saved the change to 
fstab the mount operation succeeds.

If kudzu can not have caused that problem, might it be somehow 
involved?  What posted the message in the /var/log/messages that said
"end_request: I/O error, dev fd0 sector 0"?  How does it get reset or 
cleared?  

Comment 9 Bill Nottingham 2004-05-26 23:37:09 EDT
end_request: I/O error, dev fd0 sector 0

means that the kernel made an I/O request to /dev/fd0 (the floppy) and
it errored out on sector zero. Usually that's from trying to do
something when there's no floppy in the drive, or read the filesystem
on a floppy with nothing on it.

What would be interesting is to know what the timestamp for that
message in /var/log/messages corresponded to.

Were you trying to mount it as root or as a 'normal' user before?
Comment 10 Dwaine Castle 2004-05-27 00:08:32 EDT
Here are some snippets from the messages log.  There are a lot of 
error messages.

May 24 21:28:58 localhost udev[3611]: creating device 
node '/udev/loop7'
May 24 21:28:58 localhost kernel: end_request: I/O error, dev fd0, 
sector 0
May 24 21:32:13 localhost ntpd[2501]: kernel time sync enabled 0001

May 25 14:18:41 localhost udev[3561]: creating device 
node '/udev/loop7'
May 25 14:18:41 localhost kernel: end_request: I/O error, dev fd0, 
sector 0
May 25 14:20:24 localhost gconfd (root-3624): starting (version 
2.6.0), pid 3624 user 'root'

May 26 18:05:19 localhost modprobe: FATAL: Error running install 
command for sound_slot_1
May 26 18:08:57 localhost ntpd[2172]: synchronized to 209.132.176.4, 
stratum=1
May 26 18:09:26 localhost kernel: end_request: I/O error, dev fd0, 
sector 0
May 26 18:09:27 localhost kernel: end_request: I/O error, dev fd0, 
sector 0
May 26 18:11:01 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:11:01 localhost kernel: end_request: I/O error, dev fd0, 
sector 19
May 26 18:11:01 localhost kernel: Buffer I/O error on device fd0, 
logical block 19
May 26 18:11:01 localhost kernel: lost page write due to I/O error on 
fd0
May 26 18:13:15 localhost ntpd[2172]: kernel time sync disabled 0041
May 26 18:20:47 localhost ntpd[2172]: kernel time sync enabled 0001
May 26 18:45:15 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:45:15 localhost kernel: end_request: I/O error, dev fd0, 
sector 19
May 26 18:45:15 localhost kernel: FAT: Directory bread(block 19) 
failed
May 26 18:48:07 localhost kernel: end_request: I/O error, dev fd0, 
sector 0
May 26 18:48:14 localhost last message repeated 3 times

May 26 18:51:43 localhost kernel: FAT: Filesystem panic (dev fd0)
May 26 18:51:43 localhost kernel:     invalid access to FAT (entry 
0x0000bd98)
May 26 18:51:43 localhost kernel: floppy0: disk removed during i/o
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 385
May 26 18:51:43 localhost kernel: Buffer I/O error on device fd0, 
logical block 385
May 26 18:51:43 localhost kernel: lost page write due to I/O error on 
fd0
May 26 18:51:43 localhost kernel: hanged during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1569
May 26 18:51:43 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1570
May 26 18:51:43 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1571
May 26 18:51:43 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1572
May 26 18:51:43 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1573
May 26 18:51:43 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1574
May 26 18:51:43 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1575
May 26 18:51:43 localhost kernel: floppy0: disk absent or changed 
during operation
May 26 18:51:43 localhost kernel: end_request: I/O error, dev fd0, 
sector 1576
May 26 18:58:20 localhost kernel: end_request: I/O error, dev fd0, 
sector 32
May 26 18:58:20 localhost kernel: FAT: Directory bread(block 32) 
failed
May 26 18:58:29 localhost kernel: end_request: I/O error, dev fd0, 
sector 0 May 26 18:59:04 localhost last message repeated 8 times
May 26 18:59:05 localhost kernel: end_request: I/O error, dev fd0, 
sector 0
May 26 18:59:33 localhost kernel: FAT: Filesystem panic (dev fd0)
May 26 18:59:33 localhost kernel:     invalid access to FAT (entry 
0x0000578c) May 26 18:59:33 localhost kernel:     File system has 
been set read-only
May 26 18:59:33 localhost kernel: FAT: Filesystem panic (dev fd0)
May 26 18:59:33 localhost kernel:     invalid access to FAT (entry 
0x0000578c)
May 26 18:59:33 localhost kernel: FAT: Filesystem panic (dev fd0) 

May 26 18:59:42 localhost kernel:     invalid access to FAT (entry 
0x00006600)
May 26 18:59:42 localhost kernel: attempt to access beyond end of 
device
May 26 18:59:42 localhost kernel: fd0: rw=0, want=26144, limit=2880
May 26 18:59:42 localhost kernel: Buffer I/O error on device fd0, 
logical block 26143
May 26 18:59:42 localhost kernel: FAT: Filesystem panic (dev fd0)
May 26 18:59:42 localhost kernel:     invalid access to FAT (entry 
0x0000219d)
May 26 18:59:42 localhost kernel: FAT: Filesystem panic (dev fd0)
May 26 18:59:42 localhost kernel:     invalid access to FAT (entry 
0x0000739e)
May 26 18:59:42 localhost kernel: FAT: Filesystem panic (dev fd0)



Comment 11 Matthew Miller 2005-04-26 11:59:08 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 12 Matthew Miller 2005-05-18 13:59:56 EDT
This won't get fixed for FC2. If it's still a problem in FC3 or FC4test, please
reopen or refile. Thanks.

Note You need to log in before you can comment on or make changes to this bug.